# Vue Bootstrap 4 Datalist

Custom datalist with the reactivity of vue

## Installation

```bash
npm install --save vue-bootstrap-datalist
```

## Features

- Easy to use
- Reactive `v-model`
- Emits all possible events

## Requirements

- Bootstrap ^4 (only css)
- jQuery >=1.8.3

## Props

| Name          | Type            | Default   | Description                                             |
| ------------- | --------------- | --------- | ------------------------------------------------------- |
| `v-model`     | String / Number | `null`    | The value of the datalist                               |
| `options`     | Array           | `[]`      | Item list for the datalist                              |
| `id`          | String          | Generated | The id of the datalist                                  |
| `required`    | Boolean         | `false`   | Whether the datalist is required                        |
| `disabled`    | Boolean         | `false`   | Whether the datalist is disabled                        |
| `placeholder` | String          | `null`    | The placeholder of the datalist                         |
| `value`       | String          | `value`   | The value is the property of the option object.         |
| `text`        | String          | `text`    | Is the label is the property name of the option object. |
